<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import { ref } from 'vue';
import { useAuthStore } from '@/stores/auth';
import type { ReceiptItem } from '@/types/ReceiptItem';
import type { ReceiptStock } from '@/types/ReceiptStock';
import { onMounted } from 'vue';
import type { ReceiptStockItem } from '@/types/ReceiptStockItem';



function showDateTime(){
    // show data and time in receipt
    const currentDate = new Date();
    // date components
    const year = currentDate.getFullYear();
    const month = currentDate.getMonth() + 1; 
    const day = currentDate.getDate();
    return `${year}-${month}-${day}`
}
function showTime(){
    // show data and time in receipt
    const currentDate = new Date();
    // time components
    const hours = currentDate.getHours();
    const minutes = currentDate.getMinutes();
    const seconds = currentDate.getSeconds();
    return `${hours}:${minutes}:${seconds}` 
}
const stockStore = useStockStore()

const authStore =useAuthStore()
const dialogReceipt= ref(false)
function showReceipt(r:ReceiptStock){
   stockStore.receiptStock = r
   stockStore.receiptStock.receiptStockItems=r.receiptStockItems
//    stockStore.receiptStock.user = r.user
   dialogReceipt.value =!dialogReceipt.value
}
const listItem = stockStore.receiptStockS
const items = ref<ReceiptStockItem[]>([])
function itemProduct(r:ReceiptStock){
    
}

</script>
<template>
     <v-dialog
      v-model="stockStore.dialogShowReceipt"
      fullscreen
      :scrim="false"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-toolbar
          dark
          color="#604C46"
        >
          <v-btn
            icon
            dark
            @click="stockStore.dialogShowReceipt= !stockStore.dialogShowReceipt"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Receipt Order</v-toolbar-title>
          <v-spacer></v-spacer>
          
        </v-toolbar>
        
       <v-container>
        <v-row>
            <v-sheet width="1250" height="500" class="overflow-auto" >
      <v-table>
        <thead>
            <tr>
             
                <th>Tax Invoice</th>
                <th>Name place</th>
                <th>Total</th>
                <th>Date</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item) of stockStore.receiptStockS" :key="item.id"> 
             
                <td>{{ item.idReceipt}}</td>
                <td>{{ item.nameplace}}</td>
                <td>{{ item.total}}</td>
                <td>{{item.createdDate}}</td>
                <td>  <v-icon
        size="small"
        class="me-2"
        @click="showReceipt(item)"
      >
        mdi-eye
      </v-icon></td>
                
            </tr>
        </tbody>
    </v-table>
            </v-sheet>
        </v-row>
       </v-container>
      </v-card>
     </v-dialog>

   
    <!-- Dialog โชว์ใบเสร็จ -->
    <v-dialog v-model="dialogReceipt" persistent width="auto" height="auto" scrollable>
        <v-card>
            <v-card-title>ใบสั่งซื้อ</v-card-title>
            <v-card-text justify="center" align="center" style="border: 1px solid;">
                
                <!-- head -->
               <!-- รายละเอียดส่วนข้างบน -->
                <v-container>
                    <v-row justify="center">สถานที่ซื้อ: {{stockStore.receiptStock.nameplace}}</v-row>
                    <v-row style="font-size: 10px;">-----------------------------------------------</v-row>
                    <v-row style="font-size: 10px;">วันที่:{{stockStore.textDate[0]}}</v-row>
                    <v-row style="font-size: 10px;">เวลา:{{stockStore.textDate[1]}}</v-row>
                    <v-row style="font-size: 10px;">พนักงาน:{{stockStore.receiptStock.user?.fullname}}</v-row>
                    <v-row style="font-size: 10px;">ใบกำกับภาษี:{{stockStore.receiptStock.idReceipt}}</v-row>
                    <br>

                </v-container>
               
                
            
                <v-divider></v-divider>
                <!-- ตาราง -->
                <v-container class="pa-0">
                    <v-table density="compact">
                        <thead>
                            <tr style="font-size: 10px;text-align: left;">
                                <th>รายการ</th>
                                <th>จำนวน</th>
                                <th>ราคา</th>
                              
                            </tr>
                        </thead>
                        <tbody>
                            <tr v-for="(item) of stockStore.receiptStock.receiptStockItems " :key="item.id" style="font-size: 10px;text-align: left;">
                                <td>{{ item.name}}</td>
                                <td>{{item.unitPerItem }}</td>
                                <td>{{ item.totalprice }} ฿</td>
                            
                            </tr>
                        </tbody>
                    </v-table>
                </v-container>
                <v-divider></v-divider>
                <!-- รายละเอียด -->
                <v-container  class="pa-0" style="width: 300px;" >
                    <v-row no-gutters>
                        <v-col cols="12">-----------------------------------------------</v-col>
                        <v-col cols="6" style="font-size:11px;text-align: left;"><p>รวมเงินทั้งหมด: {{stockStore.receiptStock.total}}</p></v-col> 
            
                        <v-col cols="12">-----------------------------------------------</v-col>
                      
                        
                    </v-row>
                </v-container>
                <v-divider></v-divider>
                <p style="font-size: 11px;padding-top: 10px;">ขอบคุณที่ใช้บริการค่ะ</p>
            </v-card-text>
            <v-card-actions>
                <v-spacer>
                </v-spacer>
                <v-btn @click="dialogReceipt =false">ยกเลิก</v-btn>

            </v-card-actions>
        </v-card>
    </v-dialog>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
  background-color: white;
}

tbody tr:nth-of-type(odd) {
  background-color: white;
}

thead {
  background-color: white;
  color: rgb(0, 0, 0);
  font-weight: bold;
}
.theme--light.v-data-table thead tr th {
  color: white;
}
</style>
